import _extends from "@babel/runtime/helpers/esm/extends";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
import SvgIcon from '../SvgIcon';
/**
 * @ignore - internal component.
 */

function Rolling(props) {
  var pause = props.pause,
      prefixCls = props.prefixCls,
      className = props.className,
      other = _objectWithoutProperties(props, ["pause", "prefixCls", "className"]);

  return React.createElement(SvgIcon, _extends({}, other, {
    className: classNames(prefixCls, _defineProperty({}, "".concat(prefixCls, "-static"), pause), className)
  }), React.createElement("circle", {
    fill: "none",
    strokeWidth: "2",
    strokeDasharray: "39.6 12.6",
    strokeLinecap: "round",
    cx: "12",
    cy: "12",
    r: "10",
    stroke: "currentColor"
  }));
}

Rolling.defaultProps = {
  prefixCls: 'ne-rolling'
};
export default React.memo(Rolling);